- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::SumMatrix Class Reference

Class for Matrices which are sum of matrices. More...

`#include <IpSumMatrix.hpp>`

Inheritance diagram for Ipopt::SumMatrix:

[legend]
Collaboration diagram for Ipopt::SumMatrix:

[legend]
List of all members.

## Public Member Functions
void | SetTerm (Index iterm, Number factor, const Matrix &matrix)
| Method for setting term iterm for the sum.
void | GetTerm (Index iterm, Number &factor, SmartPtr< const Matrix > &matrix) const
| Method for getting term iterm for the sum.
Index | NTerms () const
| Return the number of terms.
Constructors / Destructors
| SumMatrix (const SumMatrixSpace *owner_space)
| Constructor, taking the owner_space.
virtual | ~SumMatrix ()
| Destructor.
## Protected Member Functions
Methods overloaded from matrix
virtual void | MultVectorImpl (Number alpha, const Vector &x, Number beta, Vector &y) const
| Matrix-vector multiply.
virtual void | TransMultVectorImpl (Number alpha, const Vector &x, Number beta, Vector &y) const
| Matrix(transpose) vector multiply.
virtual bool | HasValidNumbersImpl () const
| Method for determining if all stored numbers are valid (i.e., no Inf or Nan).
virtual void | PrintImpl (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent, const std::string &prefix) const
| Print detailed information about the matrix.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| SumMatrix ()
| Default Constructor.
| SumMatrix (const SumMatrix &)
| Copy Constructor.
void | operator= (const SumMatrix &)
| Overloaded Equals Operator.
## Private Attributes
std::vector< Number > | factors_
| std::vector storing the factors for each term.
std::vector< SmartPtr< const Matrix > > | matrices_
| std::vector storing the matrices for each term.
const SumMatrixSpace * | owner_space_
| Copy of the owner_space as a SumMatrixSpace.

## Detailed Description

Class for Matrices which are sum of matrices.

For each term in the we store the matrix and a factor.

Definition at line 24 of file IpSumMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::SumMatrix::SumMatrix | ( | const SumMatrixSpace * | owner_space | ) |

Constructor, taking the owner_space.

virtual Ipopt::SumMatrix::~SumMatrix | ( |  | ) | `[virtual]`

Destructor.

Ipopt::SumMatrix::SumMatrix | ( |  | ) | `[private]`

Default Constructor.

Ipopt::SumMatrix::SumMatrix | ( | const SumMatrix & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

void Ipopt::SumMatrix::SetTerm | ( | Index | iterm,
|  | Number | factor,
|  | const Matrix & | matrix |
| ) |  |  |

Method for setting term iterm for the sum.

void Ipopt::SumMatrix::GetTerm | ( | Index | iterm,
|  | Number & | factor,
|  | SmartPtr< const Matrix > & | matrix |
| ) |  |  | const

Method for getting term iterm for the sum.

Note that counting of terms starts at 0.

Index Ipopt::SumMatrix::NTerms | ( |  | ) | const

Return the number of terms.

virtual void Ipopt::SumMatrix::MultVectorImpl | ( | Number | alpha,
|  | const Vector & | x,
|  | Number | beta,
|  | Vector & | y |
| ) |  |  | const`[protected, virtual]`

Matrix-vector multiply.

Computes y = alpha * Matrix * x + beta * y

Implements Ipopt::Matrix.

virtual void Ipopt::SumMatrix::TransMultVectorImpl | ( | Number | alpha,
|  | const Vector & | x,
|  | Number | beta,
|  | Vector & | y |
| ) |  |  | const`[protected, virtual]`

Matrix(transpose) vector multiply.

Computes y = alpha * Matrix^T * x + beta * y

Implements Ipopt::Matrix.

virtual bool Ipopt::SumMatrix::HasValidNumbersImpl | ( |  | ) | const`[protected, virtual]`

Method for determining if all stored numbers are valid (i.e., no Inf or Nan).

Reimplemented from Ipopt::Matrix.

virtual void Ipopt::SumMatrix::PrintImpl | ( | const Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category,
|  | const std::string & | name,
|  | Index | indent,
|  | const std::string & | prefix |
| ) |  |  | const`[protected, virtual]`

Print detailed information about the matrix.

Implements Ipopt::Matrix.

void Ipopt::SumMatrix::operator= | ( | const SumMatrix & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

std::vector<Number> Ipopt::SumMatrix::factors_`[private]`

std::vector storing the factors for each term.

Definition at line 89 of file IpSumMatrix.hpp.

std::vector<SmartPtr<const Matrix> > Ipopt::SumMatrix::matrices_`[private]`

std::vector storing the matrices for each term.

Definition at line 92 of file IpSumMatrix.hpp.

const SumMatrixSpace* Ipopt::SumMatrix::owner_space_`[private]`

Copy of the owner_space as a SumMatrixSpace.

Reimplemented from Ipopt::Matrix.

Definition at line 95 of file IpSumMatrix.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/LinAlg/IpSumMatrix.hpp